local FC = ...

local function wEvent ()
	if FCconfig["main"]["welcomeEvent"] == true then return "WELCOME_EVENT" end
end

local function rQuest ()
	if FCconfig["main"]["addResourceQuest"] == true then return {QuestResource = "INFINITE_RESOURCES_QUEST", Delay = 0} end
end

FC:override({
	Id = "DEFAULT_BALANCING",
	BuildingCostOverrideList = {Action = "APPEND","BUILDING_PART_COST_LIST_DEFAULT_RUSTIC_CHURCH","BUILDING_PART_COST_LIST_DEFAULT_LORD_MANOR","BUILDING_PART_COST_LIST_DEFAULT_KEEP","BUILDING_PART_COST_LIST_DEFAULT_CHURCH","BUILDING_PART_COST_LIST_DEFAULT","FC_BUILDING_PART_COST_LIST"},
	BuildingProgressList = {Action = "APPEND","FC_BUILDING_PROGRESS_LIST"},
	VillagerStatusQuota = "VILLAGER_STATUS_QUOTA_DEFAULT", --FCconfig["balancing"]["VillagerStatusQuota"],
	TradingVillageList = "VILLAGE_LIST_DEFAULT",
	DelayedQuestList={Action = "APPEND", rQuest()}, --FCconfig["balancing"]["DelayedQuestList"],
	EventList = {Action = "APPEND", wEvent()}
})

if next(FCconfig["profile"]["balancing"]["migration"]["immigrationWave"]) ~= nil then
	FC:override({
		Id = "DEFAULT_BALANCING",
		VillagerCountPerImmigrationWave = FCconfig["profile"]["balancing"]["migration"]["immigrationWave"]
	})
end

if next(FCconfig["profile"]["balancing"]["startingTileRequirement"]) ~= nil then
	FC:override({
		Id = "DEFAULT_BALANCING",
		StartingTileResourceRequirement = FCconfig["profile"]["balancing"]["startingTileRequirement"],
	})
end 

if next(FCconfig["profile"]["balancing"]["territoryTaxes"]) ~= nil then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TerritoryRoyalTaxesList = FCconfig["profile"]["balancing"]["territoryTaxes"]
	})
end 

if next(FCconfig["profile"]["balancing"]["territoryPrice"]) ~= nil then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TerritoryPrice = FCconfig["profile"]["balancing"]["territoryPrice"]
	})
end 

if FCconfig["profile"]["balancing"]["fertilityImpact"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TreeFertilityImpact = FCconfig["profile"]["balancing"]["fertilityImpact"]
	})
end

if FCconfig["profile"]["balancing"]["fertilityImpactSoftRadius"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TreeFertilityImpactSoftRadius = FCconfig["profile"]["balancing"]["fertilityImpactSoftRadius"]
	})
end

if FCconfig["profile"]["balancing"]["fertilityImpactHardRadius"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TreeFertilityImpactHardRadius = FCconfig["profile"]["balancing"]["fertilityImpactHardRadius"]
	})
end

if FCconfig["profile"]["balancing"]["minSizeToGather"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TreeMinimumScaleToGather = FCconfig["profile"]["balancing"]["minSizeToGather"]
	})
end

if FCconfig["profile"]["balancing"]["minSizeToHunt"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TreeMinimumScaleForHunt = FCconfig["profile"]["balancing"]["minSizeToHunt"]
	})
end

if FCconfig["profile"]["balancing"]["minSizeToGather"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TreeMinimumScaleToGather = FCconfig["profile"]["balancing"]["minSizeToGather"]
	})
end

if FCconfig["profile"]["balancing"]["initialTreeSize"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		TreeInitialScale = FCconfig["profile"]["balancing"]["initialTreeSize"]
	})
end

if FCconfig["profile"]["balancing"]["treeGrowSpeed"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
	TreeGrowSpeed = FCconfig["profile"]["balancing"]["treeGrowSpeed"]
	})
end

if FCconfig["profile"]["balancing"]["goldCapacity"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
	InitialGoldCapacity = FCconfig["profile"]["balancing"]["goldCapacity"]
	})
end

if FCconfig["profile"]["balancing"]["daysToFirstEvent"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		DaysToFirstEvent = FCconfig["profile"]["balancing"]["daysToFirstEvent"]
	})
end

if FCconfig["profile"]["balancing"]["daysBetweenEvents"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		DaysBetweenEvents = FCconfig["profile"]["balancing"]["daysBetweenEvents"]
	})
end

if FCconfig["profile"]["balancing"]["dayDuration"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		DayDurationInSeconds = FCconfig["profile"]["balancing"]["dayDuration"]
	})
end

if FCconfig["profile"]["balancing"]["startingFamilies"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		InitialFamilyCount = FCconfig["profile"]["balancing"]["startingFamilies"]
	})
end

if FCconfig["profile"]["balancing"]["migration"]["minHappiness"] ~= "default" then
	FC:override({
		Id = "DEFAULT_BALANCING",
		MinimumHappinessForLeaving = FCconfig["profile"]["balancing"]["migration"]["minHappiness"]
	})
end

if FCconfig["profile"]["balancing"]["migration"]["noImmigrationFactors"] == true then
	FC:override({
		Id = "DEFAULT_BALANCING",
		ImmigrationFactorList = {}
	})
end

